Summary: Logs TCP, UDP, and ICMP connections to syslog.
Name: iplog
Version: 2.2.3
Release: 3mdk
Source0: %{name}-%{version}.tar.bz2
Source1: iplog
Source2: iplog.conf
URL: http://ojnk.sourceforge.net
License: GPL
Group: Monitoring
BuildRequires: libpcap-devel
BuildRoot: %_tmppath/%{name}-buildroot
Buildrequires: libpcap-devel

%description
iplog is a TCP/IP traffic logger.  Currently, it is capable of logging 
TCP, UDP and ICMP traffic.  Adding support for other protocols
should be relatively easy.  iplog contains a built-in packet filter,
allowing for logging or excluding packets that fit a given set of
criteria.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
%configure
%make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/iplog
cp %SOURCE2 $RPM_BUILD_ROOT/%{_sysconfdir}/iplog.conf

%post
%_post_service iplog

%preun
%_preun_service iplog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%config(noreplace) %{_sysconfdir}/iplog.conf
%{_mandir}/man5/*
%{_mandir}/man8/*
%_sbindir/*


%changelog
* Wed Sep 12 2001 Warly <warly@mandrakesoft.com> 2.2.3-3mdk
- change distribution tag

* Fri May 18 2001  <warly@mandrakesoft.com> 2.2.3-2mdk
- add init.d file

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3-1mdk
- used srpm from Vlatko Kosturjak <kost@iname.com> :
	- new release

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.1-2mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Warly <warly@mandrakesoft.com> 2.2.1-1mdk
- new release

* Tue Jul 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-1mdk
- new release
- use new macros

* Sat Mar 25 2000 Warly <warly@mandrakesoft.com> 2.1.1-1mdk
- v2.1.1
- spechelper
- new group:

* Tue Feb 15 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v2.1.0

* Fri Jan 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First spec file for Mandrake distribution.

# end of file
